Retrieve a virtual account application
Query the details of a virtual account application by its application number.
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
requestNo*stringApplication number
X-Channel-Provider?stringProvider identifier, such as GLDB. Defaults to GLDB if not passed
"GLDB"Returns the application details.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?curl -X GET 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests/SA0000000001'{ "code": 200, "message": "OK", "traceId": "a1b2c3d4-e5f6-7890", "data": { "requestNo": "SA0000000001", "status": "SUCCESS", "accountName": "Example Trading Pte Ltd", "masterAccountNo": "1000000000", "virtualAccountNo": "1000000001", "currency": "SGD", "contactName": "Example Contact", "contactEmail": "contact@example.com", "contactPhone": "+6500000000", "companyRegistrationDoc": "https://storage.example.com/coi/example.pdf", "accountOpeningProof": "https://storage.example.com/proof/letter.pdf", "otherDocuments": [ "https://storage.example.com/docs/statement.pdf" ], "message": "VA account opened successfully", "createdAt": "2025-12-30T16:40:03", "updatedAt": "2025-12-30T16:40:03" }}List virtual account applications GET
Query all virtual account applications of the MSO, with pagination.
Update a virtual account application PUT
Update the parameters of a virtual account application in PENDING status. Only unprocessed applications can be updated. **Notes** - You can update only applications in PENDING status - Newly uploaded files overwrite the existing files - For files, the latest submission prevails. Resubmit all files with every submission